#include<bits/stdc++.h>
using namespace std;
int ucln(int x, int y)
{
    if(y==0) return x;
    else return ucln(y, x%y);
}
int bcnn(int x, int y)
{
    int result=(x*y)/ucln(x,y);
    return result;
}
int main()
{
    ifstream fi("dquc.inp");
    ofstream fo("dquc.out");
    int n;
    fi>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        fi>>a[i];
    }
    int u=ucln(a[0],a[1]);
    int b=bcnn(a[0],a[1]);
    for(int i=2;i<n;i++)
    {
        u=ucln(b,a[i]);
        b=bcnn(b,a[i]);
    }
    fo<<u;
}
